aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xcb-proto
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-15 11:54:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-16 07:21:05 +0000
commite63cb64cebc6bad9c511912bfe33a72cb42743c8 (patch)
tree68b4fb2bc8eb72a912c3a0d79538900887636612 /x11/xcb-proto
parent8bd29a287e98104263af412415bd5325100c0e44 (diff)
downloadaports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.bz2
aports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.xz
x11: added libX11 and depends
Diffstat (limited to 'x11/xcb-proto')
-rw-r--r--x11/xcb-proto/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/xcb-proto/APKBUILD b/x11/xcb-proto/APKBUILD
new file mode 100644
index 0000000000..030e2f7321
--- /dev/null
+++ b/x11/xcb-proto/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xcb-proto
+pkgver=1.3
+pkgrel=1
+pkgdesc="XML-XCB protocol descriptions"
+url="http://xcb.freedesktop.org/"
+license="custom"
+depends=""
+makedepends="python"
+source="http://xcb.freedesktop.org/dist/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+ install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+ install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+}
+md5sums="d9275a714e83ab9c1f9b260c6eff1609 xcb-proto-1.3.tar.bz2"